"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var AppComponent = (function () {
    function AppComponent() {
        this.id = 'validator1';
        this.teId = 'editor1';
        this.teOpts = {};
        this.model = {};
        this.opts = { onsubmit: true,
            successMessage: "Valid",
            onblur: false,
            fields: [{
                    required: true,
                    selector: "#editor1",
                    onblur: true,
                    errorMessage: "Error",
                    custom: function (value, fieldOptions) {
                        var myRegEx = /^(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])([a-zA-Z0-9]{8,})$/;
                        var isValid = myRegEx.test(value);
                        return isValid;
                    }
                }
            ] };
    }
    return AppComponent;
}());
AppComponent = __decorate([
    core_1.Component({
        selector: 'my-app',
        template: "<h1 id='mainheader'>My IgniteUI Angular2 App</h1>\n    <h2>igValidator</h2>\n        <form id=\"validator1\">\n            <ig-text-editor [widgetId]=\"teId\" [textMode]=\"'password'\" [placeHolder]=\"'********'\" [width]=\"'100%'\" [(ngModel)]=\"model.password\" name=\"password\" required></ig-text-editor>\n\n            \n            <button type=\"submit\">Enter</button>\n    \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<button type=\"reset\">Cancel</button>\n        </form>\n        <ig-validator [widgetId]='id' [options]='opts'></ig-validator>\n    "
    }),
    __metadata("design:paramtypes", [])
], AppComponent);
exports.AppComponent = AppComponent;
//# sourceMappingURL=app.component.js.map